Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Protected Member Functions | Static Private Attributes | List of all members
ezpRestIniRouteFilter Class Reference
Inheritance diagram for ezpRestIniRouteFilter:

## Public Member Functions
| __construct ()
| shallDoActionWithRoute (ezcMvcRoutingInformation $routeInfo)

## Protected Member Functions
| getSkipRoutes ()
| checkRoute ( $selectedController, $selectedAction)

## Static Private Attributes
static | $skipRoutes
static | $parsedSkipRoutes

## Additional Inherited Members
Static Public Member Functions inherited from ezpRestRouteFilterInterface
static | getRouteFilter ()

## Detailed Description

Definition at line 12 of file ini_route_security.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestIniRouteFilter::__construct | ( |  | ) |

Definition at line 17 of file ini_route_security.php.

References getSkipRoutes().

## Member Function Documentation

## ◆ checkRoute()

ezpRestIniRouteFilter::checkRoute | ( |  | $selectedController,
|  |  | $selectedAction
| ) |  |
| protected

Definition at line 38 of file ini_route_security.php.

References ezpRestPrefixFilterInterface\getApiVersion().

Referenced by shallDoActionWithRoute().

## ◆ getSkipRoutes()

ezpRestIniRouteFilter::getSkipRoutes | ( |  | ) |
| protected

Returns the routes which do not require authentication.

Returns
  array

Definition at line 26 of file ini_route_security.php.

References $skipRoutes.

Referenced by __construct().

## ◆ shallDoActionWithRoute()

ezpRestIniRouteFilter::shallDoActionWithRoute | ( | ezcMvcRoutingInformation | $routeInfo | ) |

Returns the routes for which do not require authentication. @abstract

Returns
  array

Reimplemented from ezpRestRouteFilterInterface.

Definition at line 33 of file ini_route_security.php.

References checkRoute().

## Member Data Documentation

## ◆ $parsedSkipRoutes

ezpRestIniRouteFilter::$parsedSkipRoutes
| static private

Definition at line 15 of file ini_route_security.php.

## ◆ $skipRoutes

ezpRestIniRouteFilter::$skipRoutes
| static private

Definition at line 14 of file ini_route_security.php.

Referenced by getSkipRoutes().

The documentation for this class was generated from the following file:

- ini_route_security.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.